using Microsoft.Practices.Composite.Modularity;
using Microsoft.Practices.Composite.Regions;
using Microsoft.Practices.Unity;

namespace ModuleB
{
	public class ModuleB : IModule
	{
		IRegionManager _regionManager;
		IUnityContainer _container;

		public ModuleB(IRegionManager regionManager, IUnityContainer container)
		{
			_regionManager = regionManager;
			_container = container;
		}

		public void Initialize()
		{
			this._regionManager.RegisterViewWithRegion("MainRegion", typeof(Panel3Vm));
			this._regionManager.RegisterViewWithRegion("MainRegion", typeof(Panel4Vm));
		}
	}
}
